Bug 150884 - Bonded interface's enslaved dev not ifup'ed
Bonded interface's enslaved dev not ifup'ed
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: initscripts (Show other bugs)
All Linux
medium Severity low
: ---
: ---
Assigned To: Bill Nottingham
Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2005-03-11 12:19 EST by Rob Bubnis
Modified: 2014-03-16 22:52 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-09-21 17:13:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
gendiff against initscripts 7.31.18.EL (1.30 KB, patch)
2005-03-11 12:22 EST, Rob Bubnis
no flags Details | Diff

  None (edit)
Description Rob Bubnis 2005-03-11 12:19:13 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.7.5) Gecko/20041107 Firefox/1.0

Description of problem:
If the MASTER var of the ifcfg-eth* shell config file in network-scripts/ is quoted (e.g. MASTER="bond0"), then /sbin/ifup on the master dev does not run /sbin/ifup on enslaved devices.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. create IP bonded interface
2. put quotes around MASTER="<device>" in the ifcfg-<slave> file and set "ONBOOT=yes"
3. ifdown ifcfg-<master>
4. ifup ifcfg-<master>

Actual Results:  The enslaved interfaces are not ifup'ed.

Expected Results:  Enslaved interfaces should be passed to /sbin/ifup to start if desired

Additional info:

/sbin/ifup uses 'fgrep -l MASTER=${DEVICE}"', so a 'MASTER="bond0"' is not matched.

(will attach a gendiff workaround)
Comment 1 Rob Bubnis 2005-03-11 12:22:26 EST
Created attachment 111897 [details]
gendiff against  initscripts 7.31.18.EL

Change grep in /sbin/ifup to support quoted strings in ifcfg-* files
Comment 2 Bill Nottingham 2005-09-21 17:13:57 EDT
Thanks for the report. With the goal of minimizing risk of change for deployed
systems, and in response to customer and partner requirements, Red Hat takes a
conservative approach when evaluating changes for inclusion in maintenance
updates for currently deployed products. The primary objectives of update
releases are to enable new hardware platform support and to resolve critical

As such, a minor change such as this (with an easy fix, to unquote the config
file) is not something that's going to be put on RHEL 3.

Note You need to log in before you can comment on or make changes to this bug.